Compute SLO instance summaries in bulk at a point in time

Base URL
https://{kibana_url}
  • POST /s/{spaceId}/api/observability/slos/_bulk_snapshot
Auth

Compute the summary of multiple SLO instances at a given point in time. The endpoint is synchronous and returns results directly. Each result contains either a summary (on success) or a per-instance error. The list of requests is limited to 100 entries. When instanceId is omitted or set to '*', the API returns a result for each matching instance (up to 1000 per SLO). You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.

Path parameters

spaceId string required

An identifier for the space. If /s/ and the identifier are omitted from the path, the default space is used.

Example: default

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

at string · format: date-time required

The point in time at which to compute the SLO instance summaries

requests object[] · max items: 100 required

The list of SLO instances to compute. Limited to 100 entries.

id string required

The SLO definition id

instanceId string

The SLO instance ID. Omit this parameter or set it to '*' to return all instances for the SLO (up to 1000). Set a specific value to return that instance only.

Responses

Successful response

application/json
at string · format: date-time required

The point in time at which the summaries were computed

results object[] required

The per-instance computation results

id string required

The SLO definition id

instanceId string required

The SLO instance id. '*' represents the default (ungrouped) instance.

Base URL
https://{kibana_url}